# Anue Fe SDK

SDK development project, `VSCode` is recommended

## Debug

Start webpack and re-compile on files change, by default, the file will write to `./build` folder

```
$ yarn debug
```

## Pipe Output Files

It's pretty common when you're debugging SDK modules in other projects, you probably don't want to
publish a new version to npm every time you make a change.

Instead, you can directly let the packager output files to specific folder(s) by this command

```
$ yarn pipe /path/to/some/project /path/to/another/project ...
```

## Analyze Packages

```
$ yarn analyze
```

## Publish to Bitbucket and NPM

```
yarn publish-npm v${VERSION_CODE}
```

## Webview傳遞資訊

專案除了使用在網頁上之外也被使用在鉅亨網的Android/iOS app中，因此我們和app
團隊有著一套傳遞訊息的協定，在專案裡面也對這個協定的實踐寫成了一個模組。

主要的實作可以參考[utils/webview.ts]

// TODO: 將 portal 那邊的 native.send 統一到 SDK。
```